lambdabot-core-5.3.1.2: Lambdabot core functionality

Safe Haskell | None
Language | Haskell98

Lambdabot.Compat.FreenodeNick

Description

Backward-compatibility shim for (de-)serializing `Nick`s using the old `Read`/`Show` instances which gave freenode special treatment.

# Documentation

newtype FreenodeNick Source #

Constructors

FreenodeNick |

Fields

- getFreenodeNick :: Nick

#### Instances

Instances details

Read FreenodeNick Source # |
Instance details Defined in Lambdabot.Compat.FreenodeNick Methods readsPrec :: Int -> ReadS FreenodeNick Source # readList :: ReadS [FreenodeNick] Source # readPrec :: ReadPrec FreenodeNick Source # readListPrec :: ReadPrec [FreenodeNick] Source #
Show FreenodeNick Source # |
Instance details Defined in Lambdabot.Compat.FreenodeNick Methods showsPrec :: Int -> FreenodeNick -> ShowS Source # show :: FreenodeNick -> String Source # showList :: [FreenodeNick] -> ShowS Source #
Eq FreenodeNick Source # |
Instance details Defined in Lambdabot.Compat.FreenodeNick Methods (==) :: FreenodeNick -> FreenodeNick -> Bool Source # (/=) :: FreenodeNick -> FreenodeNick -> Bool Source #
Ord FreenodeNick Source # |

Instance details

Defined in Lambdabot.Compat.FreenodeNick

Methods

compare :: FreenodeNick -> FreenodeNick -> Ordering Source #

(<) :: FreenodeNick -> FreenodeNick -> Bool Source #

(<=) :: FreenodeNick -> FreenodeNick -> Bool Source #

(>) :: FreenodeNick -> FreenodeNick -> Bool Source #

(>=) :: FreenodeNick -> FreenodeNick -> Bool Source #

max :: FreenodeNick -> FreenodeNick -> FreenodeNick Source #

min :: FreenodeNick -> FreenodeNick -> FreenodeNick Source #

freenodeNickMapSerial :: (Show v, Read v) => Serial (Map Nick v) Source #